
package ca.canadapost.cpcdp.returns.generated.openreturn;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for OpenReturnType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OpenReturnType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="max-number-of-artifacts" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
 *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/openreturn-v2}ServiceCodeType"/>
 *         &lt;element name="receiver" type="{http://www.canadapost.ca/ws/openreturn-v2}DomesticAddressType"/>
 *         &lt;element name="print-preferences" type="{http://www.canadapost.ca/ws/openreturn-v2}PrintPreferencesType" minOccurs="0"/>
 *         &lt;element name="settlement-info" type="{http://www.canadapost.ca/ws/openreturn-v2}SettlementInfoType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OpenReturnType", propOrder = {

})
@XmlRootElement(name = "open-return")
public class OpenReturn {

    @XmlElement(name = "max-number-of-artifacts", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger maxNumberOfArtifacts;
    @XmlElement(name = "service-code", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String serviceCode;
    @XmlElement(required = true)
    protected DomesticAddressType receiver;
    @XmlElement(name = "print-preferences")
    protected PrintPreferencesType printPreferences;
    @XmlElement(name = "settlement-info", required = true)
    protected SettlementInfoType settlementInfo;

    /**
     * Gets the value of the maxNumberOfArtifacts property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxNumberOfArtifacts() {
        return maxNumberOfArtifacts;
    }

    /**
     * Sets the value of the maxNumberOfArtifacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxNumberOfArtifacts(BigInteger value) {
        this.maxNumberOfArtifacts = value;
    }

    /**
     * Gets the value of the serviceCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * Sets the value of the serviceCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceCode(String value) {
        this.serviceCode = value;
    }

    /**
     * Gets the value of the receiver property.
     * 
     * @return
     *     possible object is
     *     {@link DomesticAddressType }
     *     
     */
    public DomesticAddressType getReceiver() {
        return receiver;
    }

    /**
     * Sets the value of the receiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link DomesticAddressType }
     *     
     */
    public void setReceiver(DomesticAddressType value) {
        this.receiver = value;
    }

    /**
     * Gets the value of the printPreferences property.
     * 
     * @return
     *     possible object is
     *     {@link PrintPreferencesType }
     *     
     */
    public PrintPreferencesType getPrintPreferences() {
        return printPreferences;
    }

    /**
     * Sets the value of the printPreferences property.
     * 
     * @param value
     *     allowed object is
     *     {@link PrintPreferencesType }
     *     
     */
    public void setPrintPreferences(PrintPreferencesType value) {
        this.printPreferences = value;
    }

    /**
     * Gets the value of the settlementInfo property.
     * 
     * @return
     *     possible object is
     *     {@link SettlementInfoType }
     *     
     */
    public SettlementInfoType getSettlementInfo() {
        return settlementInfo;
    }

    /**
     * Sets the value of the settlementInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link SettlementInfoType }
     *     
     */
    public void setSettlementInfo(SettlementInfoType value) {
        this.settlementInfo = value;
    }

}
