
package ca.canadapost.cpcdp.tracking.generated.track;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for significant-events complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="significant-events">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="occurrence" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="event-identifier" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-date" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-time" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-time-zone" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="signatory-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-site" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-province" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-retail-location-id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="event-retail-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "significant-events", propOrder = {
    "occurrences"
})
public class SignificantEvents {

    @XmlElement(name = "occurrence")
    protected List<SignificantEvents.Occurrence> occurrences;

    /**
     * Gets the value of the occurrences property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the occurrences property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOccurrences().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SignificantEvents.Occurrence }
     * 
     * 
     */
    public List<SignificantEvents.Occurrence> getOccurrences() {
        if (occurrences == null) {
            occurrences = new ArrayList<SignificantEvents.Occurrence>();
        }
        return this.occurrences;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="event-identifier" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-date" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-time" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-time-zone" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-description" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="signatory-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-site" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-province" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-retail-location-id" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="event-retail-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class Occurrence {

        @XmlElement(name = "event-identifier", required = true)
        protected String eventIdentifier;
        @XmlElement(name = "event-date", required = true)
        protected String eventDate;
        @XmlElement(name = "event-time", required = true)
        protected String eventTime;
        @XmlElement(name = "event-time-zone", required = true)
        protected String eventTimeZone;
        @XmlElement(name = "event-description", required = true)
        protected String eventDescription;
        @XmlElement(name = "signatory-name", required = true)
        protected String signatoryName;
        @XmlElement(name = "event-site", required = true)
        protected String eventSite;
        @XmlElement(name = "event-province", required = true)
        protected String eventProvince;
        @XmlElement(name = "event-retail-location-id", required = true)
        protected String eventRetailLocationId;
        @XmlElement(name = "event-retail-name", required = true)
        protected String eventRetailName;

        /**
         * Gets the value of the eventIdentifier property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventIdentifier() {
            return eventIdentifier;
        }

        /**
         * Sets the value of the eventIdentifier property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventIdentifier(String value) {
            this.eventIdentifier = value;
        }

        /**
         * Gets the value of the eventDate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventDate() {
            return eventDate;
        }

        /**
         * Sets the value of the eventDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventDate(String value) {
            this.eventDate = value;
        }

        /**
         * Gets the value of the eventTime property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventTime() {
            return eventTime;
        }

        /**
         * Sets the value of the eventTime property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventTime(String value) {
            this.eventTime = value;
        }

        /**
         * Gets the value of the eventTimeZone property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventTimeZone() {
            return eventTimeZone;
        }

        /**
         * Sets the value of the eventTimeZone property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventTimeZone(String value) {
            this.eventTimeZone = value;
        }

        /**
         * Gets the value of the eventDescription property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventDescription() {
            return eventDescription;
        }

        /**
         * Sets the value of the eventDescription property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventDescription(String value) {
            this.eventDescription = value;
        }

        /**
         * Gets the value of the signatoryName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSignatoryName() {
            return signatoryName;
        }

        /**
         * Sets the value of the signatoryName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSignatoryName(String value) {
            this.signatoryName = value;
        }

        /**
         * Gets the value of the eventSite property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventSite() {
            return eventSite;
        }

        /**
         * Sets the value of the eventSite property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventSite(String value) {
            this.eventSite = value;
        }

        /**
         * Gets the value of the eventProvince property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventProvince() {
            return eventProvince;
        }

        /**
         * Sets the value of the eventProvince property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventProvince(String value) {
            this.eventProvince = value;
        }

        /**
         * Gets the value of the eventRetailLocationId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventRetailLocationId() {
            return eventRetailLocationId;
        }

        /**
         * Sets the value of the eventRetailLocationId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventRetailLocationId(String value) {
            this.eventRetailLocationId = value;
        }

        /**
         * Gets the value of the eventRetailName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEventRetailName() {
            return eventRetailName;
        }

        /**
         * Sets the value of the eventRetailName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEventRetailName(String value) {
            this.eventRetailName = value;
        }

    }

}
