
package ca.canadapost.cpcdp.pickup.generated.pickuprequest;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for PreAuthorizedPaymentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PreAuthorizedPaymentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="account-number" type="{http://www.canadapost.ca/ws/pickuprequest}PreAuthorizedPaymentAccountNumberType" minOccurs="0"/>
 *         &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/pickuprequest}PreAuthorizedPaymentAuthCodeType" minOccurs="0"/>
 *         &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="charge-amount" type="{http://www.canadapost.ca/ws/pickuprequest}PreAuthorizedPaymentAmountType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PreAuthorizedPaymentType", propOrder = {
    "accountNumber",
    "authCode",
    "authTimestamp",
    "chargeAmount"
})
public class PreAuthorizedPaymentType {

    @XmlElement(name = "account-number")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String accountNumber;
    @XmlElement(name = "auth-code")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String authCode;
    @XmlElement(name = "auth-timestamp")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar authTimestamp;
    @XmlElement(name = "charge-amount", required = true)
    protected BigDecimal chargeAmount;

    /**
     * Gets the value of the accountNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAccountNumber() {
        return accountNumber;
    }

    /**
     * Sets the value of the accountNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAccountNumber(String value) {
        this.accountNumber = value;
    }

    /**
     * Gets the value of the authCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * Sets the value of the authCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthCode(String value) {
        this.authCode = value;
    }

    /**
     * Gets the value of the authTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAuthTimestamp() {
        return authTimestamp;
    }

    /**
     * Sets the value of the authTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAuthTimestamp(XMLGregorianCalendar value) {
        this.authTimestamp = value;
    }

    /**
     * Gets the value of the chargeAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getChargeAmount() {
        return chargeAmount;
    }

    /**
     * Sets the value of the chargeAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setChargeAmount(BigDecimal value) {
        this.chargeAmount = value;
    }

}
