
package ca.canadapost.cpcdp.postoffice.generated.postoffice;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="address" type="{http://www.canadapost.ca/ws/postoffice}PostOfficeAddressType"/>
 *         &lt;element name="location" type="{http://www.canadapost.ca/ws/postoffice}LocationType"/>
 *         &lt;element name="name" type="{http://www.canadapost.ca/ws/postoffice}NameType"/>
 *         &lt;element name="office-id" type="{http://www.canadapost.ca/ws/postoffice}OfficeIdType"/>
 *         &lt;element name="bilingual-designation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="hours-list" maxOccurs="7">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="day">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;enumeration value="1"/>
 *                         &lt;enumeration value="2"/>
 *                         &lt;enumeration value="3"/>
 *                         &lt;enumeration value="4"/>
 *                         &lt;enumeration value="5"/>
 *                         &lt;enumeration value="6"/>
 *                         &lt;enumeration value="7"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="time" type="{http://www.canadapost.ca/ws/postoffice}Time24HoursType" maxOccurs="4"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "address",
    "location",
    "name",
    "officeId",
    "bilingualDesignation",
    "hoursLists"
})
@XmlRootElement(name = "post-office-detail")
public class PostOfficeDetail {

    @XmlElement(required = true)
    protected PostOfficeAddressType address;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String location;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String name;
    @XmlElement(name = "office-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String officeId;
    @XmlElement(name = "bilingual-designation")
    protected boolean bilingualDesignation;
    @XmlElement(name = "hours-list", required = true)
    protected List<PostOfficeDetail.HoursList> hoursLists;

    /**
     * Gets the value of the address property.
     * 
     * @return
     *     possible object is
     *     {@link PostOfficeAddressType }
     *     
     */
    public PostOfficeAddressType getAddress() {
        return address;
    }

    /**
     * Sets the value of the address property.
     * 
     * @param value
     *     allowed object is
     *     {@link PostOfficeAddressType }
     *     
     */
    public void setAddress(PostOfficeAddressType value) {
        this.address = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocation(String value) {
        this.location = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the officeId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOfficeId() {
        return officeId;
    }

    /**
     * Sets the value of the officeId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOfficeId(String value) {
        this.officeId = value;
    }

    /**
     * Gets the value of the bilingualDesignation property.
     * 
     */
    public boolean isBilingualDesignation() {
        return bilingualDesignation;
    }

    /**
     * Sets the value of the bilingualDesignation property.
     * 
     */
    public void setBilingualDesignation(boolean value) {
        this.bilingualDesignation = value;
    }

    /**
     * Gets the value of the hoursLists property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hoursLists property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHoursLists().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PostOfficeDetail.HoursList }
     * 
     * 
     */
    public List<PostOfficeDetail.HoursList> getHoursLists() {
        if (hoursLists == null) {
            hoursLists = new ArrayList<PostOfficeDetail.HoursList>();
        }
        return this.hoursLists;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="day">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;enumeration value="1"/>
     *               &lt;enumeration value="2"/>
     *               &lt;enumeration value="3"/>
     *               &lt;enumeration value="4"/>
     *               &lt;enumeration value="5"/>
     *               &lt;enumeration value="6"/>
     *               &lt;enumeration value="7"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="time" type="{http://www.canadapost.ca/ws/postoffice}Time24HoursType" maxOccurs="4"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "day",
        "times"
    })
    public static class HoursList {

        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String day;
        @XmlElement(name = "time", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected List<String> times;

        /**
         * Gets the value of the day property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDay() {
            return day;
        }

        /**
         * Sets the value of the day property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDay(String value) {
            this.day = value;
        }

        /**
         * Gets the value of the times property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the times property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTimes().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getTimes() {
            if (times == null) {
                times = new ArrayList<String>();
            }
            return this.times;
        }

    }

}
