
package ca.canadapost.cpcdp.shipping.generated.shipment;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RelType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RelType">
 *   &lt;restriction base="{http://www.canadapost.ca/ws/shipment-v8}RelType">
 *     &lt;enumeration value="self"/>
 *     &lt;enumeration value="details"/>
 *     &lt;enumeration value="group"/>
 *     &lt;enumeration value="shipment"/>
 *     &lt;enumeration value="price"/>
 *     &lt;enumeration value="label"/>
 *     &lt;enumeration value="returnLabel"/>
 *     &lt;enumeration value="commercialInvoice"/>
 *     &lt;enumeration value="receipt"/>
 *     &lt;enumeration value="refund"/>
 *     &lt;enumeration value="publicLabel"/>
 *     &lt;enumeration value="publicKeyInfo"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "RelType")
@XmlEnum
public enum RelType {

    @XmlEnumValue("self")
    SELF("self"),
    @XmlEnumValue("details")
    DETAILS("details"),
    @XmlEnumValue("group")
    GROUP("group"),
    @XmlEnumValue("shipment")
    SHIPMENT("shipment"),
    @XmlEnumValue("price")
    PRICE("price"),
    @XmlEnumValue("label")
    LABEL("label"),
    @XmlEnumValue("returnLabel")
    RETURN_LABEL("returnLabel"),
    @XmlEnumValue("commercialInvoice")
    COMMERCIAL_INVOICE("commercialInvoice"),
    @XmlEnumValue("receipt")
    RECEIPT("receipt"),
    @XmlEnumValue("refund")
    REFUND("refund"),
    @XmlEnumValue("publicLabel")
    PUBLIC_LABEL("publicLabel"),
    @XmlEnumValue("publicKeyInfo")
    PUBLIC_KEY_INFO("publicKeyInfo");
    private final String value;

    RelType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RelType fromValue(String v) {
        for (RelType c: RelType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
