
package ca.canadapost.cpcdp.shipping.generated.shipment;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ShipmentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/shipment-v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element ref="{http://www.canadapost.ca/ws/shipment-v8}groupIdOrTransmitShipment"/>
 *         &lt;element name="quickship-label-requested" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="cpc-pickup-indicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="requested-shipping-point" type="{http://www.canadapost.ca/ws/shipment-v8}PostalCodeType" minOccurs="0"/>
 *         &lt;element name="shipping-point-id" type="{http://www.canadapost.ca/ws/shipment-v8}OutletIDType" minOccurs="0"/>
 *         &lt;element name="expected-mailing-date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="provide-pricing-info" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="provide-receipt-info" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="delivery-spec" type="{http://www.canadapost.ca/ws/shipment-v8}DeliverySpecType"/>
 *         &lt;element name="return-spec" type="{http://www.canadapost.ca/ws/shipment-v8}ReturnSpecType" minOccurs="0"/>
 *         &lt;element name="pre-authorized-payment" type="{http://www.canadapost.ca/ws/shipment-v8}PreAuthorizedPaymentType" minOccurs="0"/>
 *         &lt;element name="create-public-key" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}boolean">
 *               &lt;pattern value="true"/>
 *               &lt;pattern value="false"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="create-qr-code" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}boolean">
 *               &lt;pattern value="true"/>
 *               &lt;pattern value="false"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentType", propOrder = {

})
@XmlRootElement(name = "shipment")
public class Shipment {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElementRef(name = "groupIdOrTransmitShipment", namespace = "http://www.canadapost.ca/ws/shipment-v8", type = JAXBElement.class)
    protected JAXBElement<?> groupIdOrTransmitShipment;
    @XmlElement(name = "quickship-label-requested")
    protected Boolean quickshipLabelRequested;
    @XmlElement(name = "cpc-pickup-indicator")
    protected Boolean cpcPickupIndicator;
    @XmlElement(name = "requested-shipping-point")
    protected String requestedShippingPoint;
    @XmlElement(name = "shipping-point-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointId;
    @XmlElement(name = "expected-mailing-date")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar expectedMailingDate;
    @XmlElement(name = "provide-pricing-info")
    protected Boolean providePricingInfo;
    @XmlElement(name = "provide-receipt-info")
    protected Boolean provideReceiptInfo;
    @XmlElement(name = "delivery-spec", required = true)
    protected DeliverySpecType deliverySpec;
    @XmlElement(name = "return-spec")
    protected ReturnSpecType returnSpec;
    @XmlElement(name = "pre-authorized-payment")
    protected PreAuthorizedPaymentType preAuthorizedPayment;
    @XmlElement(name = "create-public-key")
    protected Boolean createPublicKey;
    @XmlElement(name = "create-qr-code", defaultValue = "false")
    protected Boolean createQrCode;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the groupIdOrTransmitShipment property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     {@link JAXBElement }{@code <}{@link Object }{@code >}
     *     
     */
    public JAXBElement<?> getGroupIdOrTransmitShipment() {
        return groupIdOrTransmitShipment;
    }

    /**
     * Sets the value of the groupIdOrTransmitShipment property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     {@link JAXBElement }{@code <}{@link Object }{@code >}
     *     
     */
    public void setGroupIdOrTransmitShipment(JAXBElement<?> value) {
        this.groupIdOrTransmitShipment = value;
    }

    /**
     * Gets the value of the quickshipLabelRequested property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isQuickshipLabelRequested() {
        return quickshipLabelRequested;
    }

    /**
     * Sets the value of the quickshipLabelRequested property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setQuickshipLabelRequested(Boolean value) {
        this.quickshipLabelRequested = value;
    }

    /**
     * Gets the value of the cpcPickupIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCpcPickupIndicator() {
        return cpcPickupIndicator;
    }

    /**
     * Sets the value of the cpcPickupIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCpcPickupIndicator(Boolean value) {
        this.cpcPickupIndicator = value;
    }

    /**
     * Gets the value of the requestedShippingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestedShippingPoint() {
        return requestedShippingPoint;
    }

    /**
     * Sets the value of the requestedShippingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestedShippingPoint(String value) {
        this.requestedShippingPoint = value;
    }

    /**
     * Gets the value of the shippingPointId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointId() {
        return shippingPointId;
    }

    /**
     * Sets the value of the shippingPointId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointId(String value) {
        this.shippingPointId = value;
    }

    /**
     * Gets the value of the expectedMailingDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpectedMailingDate() {
        return expectedMailingDate;
    }

    /**
     * Sets the value of the expectedMailingDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpectedMailingDate(XMLGregorianCalendar value) {
        this.expectedMailingDate = value;
    }

    /**
     * Gets the value of the providePricingInfo property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isProvidePricingInfo() {
        return providePricingInfo;
    }

    /**
     * Sets the value of the providePricingInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setProvidePricingInfo(Boolean value) {
        this.providePricingInfo = value;
    }

    /**
     * Gets the value of the provideReceiptInfo property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isProvideReceiptInfo() {
        return provideReceiptInfo;
    }

    /**
     * Sets the value of the provideReceiptInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setProvideReceiptInfo(Boolean value) {
        this.provideReceiptInfo = value;
    }

    /**
     * Gets the value of the deliverySpec property.
     * 
     * @return
     *     possible object is
     *     {@link DeliverySpecType }
     *     
     */
    public DeliverySpecType getDeliverySpec() {
        return deliverySpec;
    }

    /**
     * Sets the value of the deliverySpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliverySpecType }
     *     
     */
    public void setDeliverySpec(DeliverySpecType value) {
        this.deliverySpec = value;
    }

    /**
     * Gets the value of the returnSpec property.
     * 
     * @return
     *     possible object is
     *     {@link ReturnSpecType }
     *     
     */
    public ReturnSpecType getReturnSpec() {
        return returnSpec;
    }

    /**
     * Sets the value of the returnSpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReturnSpecType }
     *     
     */
    public void setReturnSpec(ReturnSpecType value) {
        this.returnSpec = value;
    }

    /**
     * Gets the value of the preAuthorizedPayment property.
     * 
     * @return
     *     possible object is
     *     {@link PreAuthorizedPaymentType }
     *     
     */
    public PreAuthorizedPaymentType getPreAuthorizedPayment() {
        return preAuthorizedPayment;
    }

    /**
     * Sets the value of the preAuthorizedPayment property.
     * 
     * @param value
     *     allowed object is
     *     {@link PreAuthorizedPaymentType }
     *     
     */
    public void setPreAuthorizedPayment(PreAuthorizedPaymentType value) {
        this.preAuthorizedPayment = value;
    }

    /**
     * Gets the value of the createPublicKey property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCreatePublicKey() {
        return createPublicKey;
    }

    /**
     * Sets the value of the createPublicKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCreatePublicKey(Boolean value) {
        this.createPublicKey = value;
    }

    /**
     * Gets the value of the createQrCode property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCreateQrCode() {
        return createQrCode;
    }

    /**
     * Sets the value of the createQrCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCreateQrCode(Boolean value) {
        this.createQrCode = value;
    }

}
